Create a tier

Creates a new tier in a loyalty program tier group. (The changes will take effect with the next publication of the loyalty program)

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

pidstringRequiredformat: "uuid"
Loyalty Program ID
gidstringRequiredformat: "uuid"
Tier group ID

Request

This endpoint expects an object.
accessConditionslist of objectsRequired
namestringRequired
Name of the tier to be created
imageRefstringOptional
Image of the tier
tierRewardslist of objectsOptional

Response

Tier successfully created
accessConditionslist of objectsOptional
Conditions required to access this tier
createdAtdatetimeOptional
groupIdstringOptionalformat: "uuid"
Associated group Id
imageRefstringOptional
Tier image reference
loyaltyProgramIdstringOptionalformat: "uuid"
Associated loyalty program Id
namestringOptional
Tier name
tierIdstringOptionalformat: "uuid"
Tier id
tierRewardslist of objectsOptional
Rewards associated with this tier
updatedAtdatetimeOptional

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error